Subject: [alpine-aports] [PATCH] testing/gthumb: new aport

From: ScrumpyJack <[email-masked]>
Date: Fri, 12 Jun 2015 16:23:55 +0000 (UTC)

gThumb is an image viewer and browser for GNOME
https://wiki.gnome.org/Apps/gthumb

---
 testing/gthumb/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/gthumb/APKBUILD

diff --git a/testing/gthumb/APKBUILD b/testing/gthumb/APKBUILD
new file mode 100644
index 0000000..856865e
--- /dev/null
+++ b/testing/gthumb/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=gthumb
+pkgver=3.4.0
+pkgrel=0
+pkgdesc="gThumb is an image viewer and browser for GNOME"
+url="https://wiki.gnome.org/Apps/gthumb"
+arch="all"
+license="GPL"
+depends="gsettings-desktop-schemas"
+depends_dev=""
+makedepends="gtk+3.0-dev libintl exiv2 intltool libraw-dev flex docbook-xsl\
+             tiff-dev libgnome gstreamer1-dev glib-dev gconf libunique-dev \
+             itstool gsettings-desktop-schemas"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://ftp.acc.umu.se/pub/gnome/sources/${pkgname}/${pkgver/\.0/}/${pkgname}-${pkgver}.tar.xz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure \
+           --prefix=/usr \
+           --disable-schemas-compile
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir" install
+}
+
+md5sums="c920d76705094141a339c97b9df8d3e7  gthumb-3.4.0.tar.xz"
+sha256sums="abd1afe457c65289af31c6db7037452faa3838356480857d8cdc19f0ecde4933  gthumb-3.4.0.tar.xz"
+sha512sums="04b962ada75ab46a6be2ad192dfc9b34bd5f7b0189d970e688d0ec89130a766ab7e5a23d34b305829092c3b8756baad83d0367f4a972e384dac16fcff0255d85  gthumb-3.4.0.tar.xz"
-- 
2.4.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---